﻿using Infragistics.Controls.Schedules;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGantt_WPF
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    /// 
    public partial class MainWindow : Window
    {
        ListBackedProject project = new ListBackedProject();
        private static Project GenerateProject()
        {
            Project project = new Project();
            for(int i = 0; i < 10; i++)
            {
                ProjectTask root = new ProjectTask { TaskName = "Task" + i.ToString(), IsManual = false };
                root.Tasks.Add(new ProjectTask { TaskName = "Child" + i.ToString() });
                project.RootTask.Tasks.Add(root);

                
            }

            return project;
        }

        public MainWindow()
        {
            InitializeComponent();

            DataContext = GenerateProject();

            this.xamGantt1.Loaded += XamGantt1_Loaded;
            
        }

        private void XamGantt1_Loaded(object sender, RoutedEventArgs e)
        {
            var gantt = sender as XamGantt;
            foreach(ProjectTask task in gantt.Project.RootTask.Tasks)
            {
                task.IsExpanded = false;
            }
        }
    }
}
